zenilib: TT_ExecContextRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_ExecContextRec_ Struct Reference

`#include <ttinterp.h>`

## Public Attributes

FT_Long | args
FT_Int | callSize
TT_CallStack | callStack
FT_Int | callTop
FT_Byte * | code
TT_CodeRangeTable | codeRangeTable
FT_Long | codeSize
FT_Int | curRange
FT_Long * | cvt
FT_ULong | cvtSize
TT_GraphicsState | default_GS
FT_Error | error
FT_Long | F_dot_P
TT_Face | face
TT_DefArray | FDefs
TT_Project_Func | func_dualproj
TT_Project_Func | func_freeProj
TT_Move_Func | func_move
TT_Set_CVT_Func | func_move_cvt
TT_Move_Func | func_move_orig
TT_Project_Func | func_project
TT_Get_CVT_Func | func_read_cvt
TT_Round_Func | func_round
TT_Set_CVT_Func | func_write_cvt
FT_Byte * | glyphIns
FT_UInt | glyphSize
FT_Bool | grayscale
TT_GraphicsState | GS
TT_DefArray | IDefs
FT_Bool | instruction_trap
FT_Long | IP
FT_Bool | is_composite
FT_Int | length
FT_Short | maxContours
FT_UInt | maxFDefs
FT_UInt | maxFunc
FT_UInt | maxIDefs
FT_UInt | maxIns
FT_UShort | maxPoints
FT_Memory | memory
FT_Size_Metrics | metrics
FT_UInt | new_top
FT_UInt | numFDefs
FT_UInt | numIDefs
FT_Byte | opcode
FT_Bool | pedantic_hinting
FT_F26Dot6 | period
FT_F26Dot6 | phase
TT_GlyphZoneRec | pts
TT_Size | size
FT_Long * | stack
FT_UInt | stackSize
FT_Bool | step_ins
FT_Long * | storage
FT_UShort | storeSize
FT_F26Dot6 | threshold
FT_Long | top
TT_Size_Metrics | tt_metrics
TT_GlyphZoneRec | twilight
TT_GlyphZoneRec | zp0
TT_GlyphZoneRec | zp1
TT_GlyphZoneRec | zp2

## Detailed Description

Definition at line 115 of file ttinterp.h.

## Member Data Documentation

FT_Long TT_ExecContextRec_::args

Definition at line 130 of file ttinterp.h.

FT_Int TT_ExecContextRec_::callSize

Definition at line 171 of file ttinterp.h.

TT_CallStack TT_ExecContextRec_::callStack

Definition at line 173 of file ttinterp.h.

FT_Int TT_ExecContextRec_::callTop

Definition at line 171 of file ttinterp.h.

FT_Byte* TT_ExecContextRec_::code

Definition at line 145 of file ttinterp.h.

TT_CodeRangeTable TT_ExecContextRec_::codeRangeTable

Definition at line 179 of file ttinterp.h.

FT_Long TT_ExecContextRec_::codeSize

Definition at line 147 of file ttinterp.h.

FT_Int TT_ExecContextRec_::curRange

Definition at line 144 of file ttinterp.h.

FT_Long* TT_ExecContextRec_::cvt

Definition at line 155 of file ttinterp.h.

FT_ULong TT_ExecContextRec_::cvtSize

Definition at line 154 of file ttinterp.h.

TT_GraphicsState TT_ExecContextRec_::default_GS

Definition at line 197 of file ttinterp.h.

FT_Error TT_ExecContextRec_::error

Definition at line 123 of file ttinterp.h.

FT_Long TT_ExecContextRec_::F_dot_P

Definition at line 204 of file ttinterp.h.

TT_Face TT_ExecContextRec_::face

Definition at line 117 of file ttinterp.h.

TT_DefArray TT_ExecContextRec_::FDefs

Definition at line 162 of file ttinterp.h.

TT_Project_Func TT_ExecContextRec_::func_dualproj

Definition at line 208 of file ttinterp.h.

TT_Project_Func TT_ExecContextRec_::func_freeProj

Definition at line 208 of file ttinterp.h.

TT_Move_Func TT_ExecContextRec_::func_move

Definition at line 212 of file ttinterp.h.

TT_Set_CVT_Func TT_ExecContextRec_::func_move_cvt

Definition at line 217 of file ttinterp.h.

TT_Move_Func TT_ExecContextRec_::func_move_orig

Definition at line 213 of file ttinterp.h.

TT_Project_Func TT_ExecContextRec_::func_project

Definition at line 208 of file ttinterp.h.

TT_Get_CVT_Func TT_ExecContextRec_::func_read_cvt

Definition at line 215 of file ttinterp.h.

TT_Round_Func TT_ExecContextRec_::func_round

Definition at line 206 of file ttinterp.h.

TT_Set_CVT_Func TT_ExecContextRec_::func_write_cvt

Definition at line 216 of file ttinterp.h.

FT_Byte* TT_ExecContextRec_::glyphIns

Definition at line 158 of file ttinterp.h.

Referenced by TT_Hint_Glyph(), tt_loader_init(), and TT_Process_Composite_Glyph().

FT_UInt TT_ExecContextRec_::glyphSize

Definition at line 157 of file ttinterp.h.

Referenced by TT_Process_Composite_Glyph().

FT_Bool TT_ExecContextRec_::grayscale

Definition at line 219 of file ttinterp.h.

Referenced by tt_loader_init().

TT_GraphicsState TT_ExecContextRec_::GS

Definition at line 142 of file ttinterp.h.

Referenced by TT_Hint_Glyph(), TT_Load_Glyph(), and tt_loader_init().

TT_DefArray TT_ExecContextRec_::IDefs

Definition at line 166 of file ttinterp.h.

FT_Bool TT_ExecContextRec_::instruction_trap

Definition at line 194 of file ttinterp.h.

FT_Long TT_ExecContextRec_::IP

Definition at line 146 of file ttinterp.h.

FT_Bool TT_ExecContextRec_::is_composite

Definition at line 199 of file ttinterp.h.

Referenced by TT_Hint_Glyph().

FT_Int TT_ExecContextRec_::length

Definition at line 150 of file ttinterp.h.

FT_Short TT_ExecContextRec_::maxContours

Definition at line 176 of file ttinterp.h.

FT_UInt TT_ExecContextRec_::maxFDefs

Definition at line 161 of file ttinterp.h.

FT_UInt TT_ExecContextRec_::maxFunc

Definition at line 168 of file ttinterp.h.

FT_UInt TT_ExecContextRec_::maxIDefs

Definition at line 165 of file ttinterp.h.

FT_UInt TT_ExecContextRec_::maxIns

Definition at line 169 of file ttinterp.h.

FT_UShort TT_ExecContextRec_::maxPoints

Definition at line 175 of file ttinterp.h.

FT_Memory TT_ExecContextRec_::memory

Definition at line 119 of file ttinterp.h.

Referenced by TT_Process_Composite_Glyph().

FT_Size_Metrics TT_ExecContextRec_::metrics

Definition at line 139 of file ttinterp.h.

Referenced by TT_Hint_Glyph().

FT_UInt TT_ExecContextRec_::new_top

Definition at line 131 of file ttinterp.h.

FT_UInt TT_ExecContextRec_::numFDefs

Definition at line 160 of file ttinterp.h.

FT_UInt TT_ExecContextRec_::numIDefs

Definition at line 164 of file ttinterp.h.

FT_Byte TT_ExecContextRec_::opcode

Definition at line 149 of file ttinterp.h.

FT_Bool TT_ExecContextRec_::pedantic_hinting

Definition at line 200 of file ttinterp.h.

Referenced by TT_Hint_Glyph(), and tt_loader_init().

FT_F26Dot6 TT_ExecContextRec_::period

Definition at line 185 of file ttinterp.h.

FT_F26Dot6 TT_ExecContextRec_::phase

Definition at line 186 of file ttinterp.h.

TT_GlyphZoneRec TT_ExecContextRec_::pts

Definition at line 133 of file ttinterp.h.

Referenced by TT_Hint_Glyph().

TT_Size TT_ExecContextRec_::size

Definition at line 118 of file ttinterp.h.

FT_Long* TT_ExecContextRec_::stack

Definition at line 128 of file ttinterp.h.

FT_UInt TT_ExecContextRec_::stackSize

Definition at line 127 of file ttinterp.h.

FT_Bool TT_ExecContextRec_::step_ins

Definition at line 152 of file ttinterp.h.

FT_Long* TT_ExecContextRec_::storage

Definition at line 183 of file ttinterp.h.

FT_UShort TT_ExecContextRec_::storeSize

Definition at line 182 of file ttinterp.h.

FT_F26Dot6 TT_ExecContextRec_::threshold

Definition at line 187 of file ttinterp.h.

FT_Long TT_ExecContextRec_::top

Definition at line 125 of file ttinterp.h.

TT_Size_Metrics TT_ExecContextRec_::tt_metrics

Definition at line 140 of file ttinterp.h.

TT_GlyphZoneRec TT_ExecContextRec_::twilight

Definition at line 133 of file ttinterp.h.

TT_GlyphZoneRec TT_ExecContextRec_::zp0

Definition at line 133 of file ttinterp.h.

TT_GlyphZoneRec TT_ExecContextRec_::zp1

Definition at line 133 of file ttinterp.h.

TT_GlyphZoneRec TT_ExecContextRec_::zp2

Definition at line 133 of file ttinterp.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/truetype/ttinterp.h